Get

[POST] .../v1/promoprogramstock/get

Returns information about warehouses available to the promotion. Use this method to retrieve warehouse assignments for a loyalty promotion program before sending the program to POS or evaluating whether it applies at a stock. The request requires program_id and the promotion-stock select permission, can be narrowed by filters and the result is additionally limited to stocks available to the current request user. The response returns an array of program-to-stock links with full stock, firm, group metadata and last_update values. Business errors such as a missing request body, invalid program_id, denied access, disabled retail promotion tariff, database errors or empty persistent data are returned as HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
program_id int Promotion ID.

Request Example

{
  "filters": [
    {
      "Field": "program_id",
      "Operator": "Equal",
      "Value": "string"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of Promo_ProgramStock Result array.

Response Example

{
  "ok": true,
  "result": [
    {
      "last_update": 1,
      "program_id": 1,
      "stock": {
        "address": "string",
        "area": 1.0,
        "deleted_mark": true,
        "description": "string",
        "firm": {
          "address": "string",
          "bank_name": "string",
          "boss_name": "string",
          "deleted_mark": true,
          "description": "string",
          "fullname": "string",
          "group": {
            "child_count": 1,
            "id": 1,
            "last_update": 1,
            "name": "string",
            "parent_id": 1
          },
          "id": 1,
          "inn": "string",
          "last_update": 1,
          "mfo": "string",
          "name": "string",
          "oked": "string",
          "phones": "string",
          "rs": "string",
          "vat_index": "string"
        },
        "id": 1,
        "last_update": 1,
        "name": "string"
      }
    }
  ]
}